<h1>Demo</h1>

<h2>Echange TS - HTML</h2>
<ul>
  <li>interpolation : Hello {{ person.name }} ! You're {{ person.age }} years old.</li>
  <li>property binding : <a [href]="link">google</a></li>
  <li>event binding : <button (click)="person.age = person.age-1">-</button><button (click)="incrementAge()">+</button></li>
</ul>


<h2>Directives structurelles</h2>
<ul>
  <li>*ngIf :
    <ng-container *ngIf="person.age < 40; else old">you're young</ng-container>
    <ng-template #old>you're less young</ng-template>
  </li>
  <li>*ngFor :
    <ul>
      <li *ngFor="let name of names">{{name}}</li>
    </ul>
  </li>
  <li>ngSwitch</li>
</ul>

<h2>Routage</h2>
<a href="page1">page1 (href)</a> -
<a routerLink="page1">page1 (routerLink)</a> -
<a routerLink="page2/10">page2 (routerLink)</a> -
<button (click)="goToPage2()">page2 (router.navigateByUrl)</button>
<router-outlet></router-outlet>

<h2>Communication entre composants</h2>
<app-parent></app-parent>

<h2>Template-driven forms</h2>
<app-template-driven-forms></app-template-driven-forms>

<h2>Reactive forms</h2>
<app-reactive-forms></app-reactive-forms>
